org.modeshape.jcr.query.lucene

## Class LuceneSearchConfiguration

- java.lang.Object
- - org.hibernate.search.cfg.spi.SearchConfigurationBase
  - - org.modeshape.jcr.query.lucene.LuceneSearchConfiguration

- All Implemented Interfaces:
    org.hibernate.search.cfg.spi.SearchConfiguration
  Direct Known Subclasses:
    BasicLuceneConfiguration

      public abstract class LuceneSearchConfiguration
      extends org.hibernate.search.cfg.spi.SearchConfigurationBase

  The Hibernate Search `SearchConfiguration` implementation that specifies how Hibernate Search should be configured.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DEFAULT_INDEX`
    `protected static String` | `HIBERNATE_PROPERTY_PREFIX`
    `protected Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LuceneSearchConfiguration(Class<?>... annotatedAndBridgeClasses)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClassMapping(String name)`
    `Iterator<Class<?>>` | `getClassMappings()`
    `org.hibernate.search.spi.InstanceInitializer` | `getInstanceInitializer()`
    `org.hibernate.search.cfg.SearchMapping` | `getProgrammaticMapping()`
    `Properties` | `getProperties()`
    `String` | `getProperty(String propertyName)`
    `Map<Class<? extends org.hibernate.search.spi.ServiceProvider<?>>,Object>` | `getProvidedServices()`
    `org.hibernate.annotations.common.reflection.ReflectionManager` | `getReflectionManager()`
    `org.apache.lucene.util.Version` | `getVersion()`
    `boolean` | `isTransactionManagerExpected()`
    `protected void` | `setProperty(String name, String value)`
    `protected void` | `setProperty(String name, String value, String defaultValue)`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.search.cfg.spi.SearchConfigurationBase

      `getIndexManagerFactory, isIdProvidedImplicit, isIndexMetadataComplete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HIBERNATE_PROPERTY_PREFIX

          protected static final String HIBERNATE_PROPERTY_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_INDEX

          protected static final String DEFAULT_INDEX

      See Also:
        Constant Field Values

    - #### logger

          protected Logger logger

  - ### Constructor Detail

    - #### LuceneSearchConfiguration

          protected LuceneSearchConfiguration(Class<?>... annotatedAndBridgeClasses)

      Parameters:
        `annotatedAndBridgeClasses` - the annotated classes that will be submitted to the indexer

  - ### Method Detail

    - #### setProperty

          protected void setProperty(String name,
                         String value)

    - #### setProperty

          protected void setProperty(String name,
                         String value,
                         String defaultValue)

    - #### getVersion

          public org.apache.lucene.util.Version getVersion()

    - #### getClassMappings

          public Iterator<Class<?>> getClassMappings()

    - #### getClassMapping

          public Class<?> getClassMapping(String name)

    - #### getProperty

          public String getProperty(String propertyName)

    - #### getProperties

          public Properties getProperties()

    - #### getReflectionManager

          public org.hibernate.annotations.common.reflection.ReflectionManager getReflectionManager()

    - #### getProgrammaticMapping

          public org.hibernate.search.cfg.SearchMapping getProgrammaticMapping()

    - #### getProvidedServices

          public Map<Class<? extends org.hibernate.search.spi.ServiceProvider<?>>,Object> getProvidedServices()

    - #### isTransactionManagerExpected

          public boolean isTransactionManagerExpected()

      Specified by:
        `isTransactionManagerExpected` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`
      Overrides:
        `isTransactionManagerExpected` in class `org.hibernate.search.cfg.spi.SearchConfigurationBase`

    - #### getInstanceInitializer

          public org.hibernate.search.spi.InstanceInitializer getInstanceInitializer()

      Specified by:
        `getInstanceInitializer` in interface `org.hibernate.search.cfg.spi.SearchConfiguration`
      Overrides:
        `getInstanceInitializer` in class `org.hibernate.search.cfg.spi.SearchConfigurationBase`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.